Subject: Re: bug#1696: 23.0.60; Crash in XFreeColors

From: Markus Triska <[email-masked]>
Date: Sat, 09 May 2009 12:27:25 +0200

The patch you suggested improves the situation considerably: Emacs seems
to loop indefinitely with my previous test case, as intended. However, I
see the following messages flickering on the terminal:

Xlib:  extension "RANDR" missing on display "/tmp/launch-IGhxO1/:0".
Xlib:  extension "Generic Event Extension" missing on display "/tmp/launch-IGhxO1/:0".
Xlib:  extension "Generic Event Extension" missing on display "/tmp/launch-IGhxO1/:0".
Xlib:  extension "Generic Event Extension" missing on display "/tmp/launch-IGhxO1/:0".
Xlib:  extension "Generic Event Extension" missing on display "/tmp/launch-IGhxO1/:0".
Xlib:  extension "RANDR" missing on display "/tmp/launch-IGhxO1/:0".

and when I press "C-g" (as often as necessary) to interrupt the loop, I
once got:

(emacs:18799): Gtk-CRITICAL **: gtk_box_pack: assertion `child->parent
== NULL' failed

Very often, when I then exit Emacs with C-x C-c, I see "Fatal error" on
the terminal, but I could not reproduce this problem in the debugger.